ランタイム: Mix::Graphics::IDevice Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::IDevice Class Referenceabstract

グラフィックスデバイスインターフェース More...

`#include <IDevice.h>`

Inheritance diagram for Mix::Graphics::IDevice:
[legend]
Collaboration diagram for Mix::Graphics::IDevice:
[legend]

## Public Types

enum | DISPLAY_MODE { WINDOW = 0, FULLSCREEN = 1 }
| ディスプレイモード列挙定数 More...

## Public Member Functions

virtual Mix::Graphics::SHADER_MODEL | GetShaderModel (void) const =0
| シェーダーモデルを取得します More...
virtual Mix::Graphics::IDevice::DISPLAY_MODE | GetDisplayMode (void) const =0
| ディスプレイモードを取得します More...
virtual void | SetDisplayMode (Mix::Graphics::IDevice::DISPLAY_MODE dispMode)=0
| ディスプレイモードを設定します More...
virtual void | ToggleDisplayMode (void)=0
| ディスプレイモードを交互に切り替えます More...
virtual const Mix::Point & | GetScreenSize (void) const =0
| スクリーンのサイズを取得します More...
virtual const Mix::Rectangle & | GetScreenValidBounds (void) const =0
| スクリーンの有効な範囲を取得します More...
virtual Boolean | IsHullShaderSupported (void) const =0
| ハルシェーダーが使用できるかどうかを確認します More...
virtual Boolean | IsDomainShaderSupported (void) const =0
| ドメインシェーダーが使用できるかどうかを確認します More...
virtual Boolean | IsGeometryShaderSupported (void) const =0
| ジオメトリシェーダーが使用できるかどうかを確認します More...
virtual Boolean | IsShaderConstantSupported (void) const =0
| シェーダー定数が使用できるかどうかを確認します More...
virtual Boolean | IsIndexSupported (Mix::Graphics::INDEX_FORMAT format) const =0
| 指定されたインデックスフォーマットが使用できるかどうかを確認します More...
virtual Boolean | IsPlaneTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでプレーンテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsVolumeTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでボリュームテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsCubeTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでキューブテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsDynamicPlaneTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでダイナミックプレーンテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsTargetPlaneTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでターゲットプレーンテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsLockableTargetPlaneTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでターゲットプレーンテクスチャ ( Lockable ) が作成できるかどうかを確認します More...
virtual Boolean | IsTargetCubeTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでターゲットキューブテクスチャが作成できるかどうかを確認します More...
virtual Boolean | IsDepthTextureSupported (Mix::Graphics::FORMAT format) const =0
| 指定されたフォーマットでデプステクスチャが作成できるかどうかを確認します More...
virtual Boolean | CreateHullShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::IHullShader **ppHullShader)=0
| ハルシェーダーをファイルから作成します More...
virtual Boolean | CreateHullShaderFromMemory (const void *pSrc, UInt32 srcSize, Mix::Graphics::IHullShader **ppHullShader, const wchar_t *pDebugName=NULL)=0
| ハルシェーダーをメモリ内のファイルから作成します More...
virtual Boolean | CreateDomainShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::IDomainShader **ppDomainShader)=0
| ドメインシェーダーをファイルから作成します More...
virtual Boolean | CreateDomainShaderFromMemory (const void *pSrc, UInt32 srcSize, Mix::Graphics::IDomainShader **ppDomainShader, const wchar_t *pDebugName=NULL)=0
| ドメインシェーダーをメモリ内のファイルから作成します More...
virtual Boolean | CreateGeometryShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::IGeometryShader **ppGeometryShader)=0
| ジオメトリシェーダーをファイルから作成します More...
virtual Boolean | CreateGeometryShaderFromMemory (const void *pSrc, UInt32 srcSize, Mix::Graphics::IGeometryShader **ppGeometryShader, const wchar_t *pDebugName=NULL)=0
| ジオメトリシェーダーをメモリ内のファイルから作成します More...
virtual Boolean | CreateVertexShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::IVertexShader **ppVertexShader)=0
| バーテックスシェーダーをファイルから作成します More...
virtual Boolean | CreateVertexShaderFromMemory (const void *pSrc, UInt32 srcSize, Mix::Graphics::IVertexShader **ppVertexShader, const wchar_t *pDebugName=NULL)=0
| バーテックスシェーダーをメモリ内のファイルから作成します More...
virtual Boolean | CreatePixelShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::IPixelShader **ppPixelShader)=0
| ピクセルシェーダーをファイルから作成します More...
virtual Boolean | CreatePixelShaderFromMemory (const void *pSrcData, UInt32 srcDataSize, Mix::Graphics::IPixelShader **ppPixelShader, const wchar_t *pDebugName=NULL)=0
| ピクセルシェーダーをメモリ内のファイルから作成します More...
virtual Boolean | CreateShaderConstant (UInt32 size, Boolean bDynamic, const void *pInitialData, Mix::Graphics::IShaderConstant **ppShaderConstant, const wchar_t *pDebugName=NULL)=0
| シェーダー定数を作成します More...
virtual Boolean | CreateVertexLayout (const Mix::Graphics::VERTEX_ELEMENT *pElements, UInt32 numElement, const Mix::Graphics::IVertexShader *pVertexShader, Mix::Graphics::IVertexLayout **ppVertexLayout, const wchar_t *pDebugName=NULL)=0
| バーテックスレイアウトを作成します More...
virtual Boolean | CreateVertexBuffer (UInt32 count, UInt32 stride, Boolean bDynamic, UInt32 resizeStep, const void *pInitialData, Mix::Graphics::IVertexBuffer **ppVertexBuffer, const wchar_t *pDebugName=NULL)=0
| バーテックスバッファを作成します More...
virtual Boolean | CreateIndexBuffer (Mix::Graphics::INDEX_FORMAT format, UInt32 count, Boolean bDynamic, UInt32 resizeStep, const void *pInitialData, Mix::Graphics::IIndexBuffer **ppIndexBuffer, const wchar_t *pDebugName=NULL)=0
| インデックスバッファを作成します More...
virtual Boolean | CreateTextureFromFile (const wchar_t *pFilePath, Mix::Graphics::ITexture **ppTexture)=0
| テクスチャをファイルから作成します More...
virtual Boolean | CreateTextureFromMemory (const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Graphics::ITexture **ppTexture)=0
| テクスチャをメモリ内のファイルから作成します More...
virtual Boolean | CreateDynamicPlaneTexture (UInt32 width, UInt32 height, Mix::Graphics::FORMAT format, Mix::Graphics::ITexture **ppTexture, const wchar_t *pDebugName=NULL)=0
| ダイナミックテクスチャを作成します More...
virtual Boolean | CreateTargetPlaneTexture (UInt32 width, UInt32 height, Mix::Graphics::FORMAT format, Mix::Graphics::ITexture **ppTexture, const wchar_t *pDebugName=NULL)=0
| ターゲットテクスチャを作成します More...
virtual Boolean | CreateLockableTargetPlaneTexture (UInt32 width, UInt32 height, Mix::Graphics::FORMAT format, Mix::Graphics::ITexture **ppTexture, const wchar_t *pDebugName=NULL)=0
| ターゲットテクスチャを作成します More...
virtual Boolean | CreateTargetCubeTexture (UInt32 edgeLength, Mix::Graphics::FORMAT format, Mix::Graphics::ITexture **ppTexture, const wchar_t *pDebugName=NULL)=0
| ターゲットテクスチャを作成します More...
virtual Boolean | CreateDepthTexture (UInt32 width, UInt32 height, Mix::Graphics::FORMAT format, Mix::Graphics::ITexture **ppTexture, const wchar_t *pDebugName=NULL)=0
| デプステクスチャを作成します More...
virtual Boolean | CreateQuery (Mix::Graphics::QUERY_FORMAT format, Mix::Graphics::IQuery **ppQuery, const wchar_t *pDebugName=NULL)=0
| クエリを作成します More...
virtual Boolean | Begin (void)=0
| 描画を開始します More...
virtual void | End (void)=0
| 描画を終了します More...
virtual void | Present (void)=0
| バックバッファの内容を転送します More...
virtual void | GetTarget (Mix::Graphics::ITexture **ppT0, Mix::Graphics::ITexture **ppT1, Mix::Graphics::ITexture **ppT2, Mix::Graphics::ITexture **ppT3, Mix::Graphics::ITexture **ppDS)=0
| 描画ターゲットを取得します More...
virtual void | SetTarget (Mix::Graphics::ITexture *pT0, Mix::Graphics::ITexture *pT1, Mix::Graphics::ITexture *pT2, Mix::Graphics::ITexture *pT3, Mix::Graphics::ITexture *pDS)=0
| 描画ターゲットを設定します More...
virtual void | Clear (Boolean clearTarget, Boolean clearDepth, const Mix::Vector4 &color=Mix::Vector4(), Float32 z=1.0f)=0
| 現在の描画先ターゲットをクリアします More...
virtual const Mix::Rectangle & | GetViewBounds (void) const =0
| ビューの範囲を取得します More...
virtual void | SetViewBounds (Int32 x, Int32 y, Int32 width, Int32 height)=0
| ビューの範囲を設定します More...
virtual void | SetViewBounds (const Mix::Rectangle &rect)=0
| ビューの範囲を設定します More...
virtual const Mix::Rectangle & | GetScissorBounds (void) const =0
| シザリングの範囲を取得します More...
virtual void | SetScissorBounds (const Mix::Rectangle &rect)=0
| シザリングの範囲を設定します More...
virtual void | SetScissorBounds (Int32 x, Int32 y, Int32 width, Int32 height)=0
| シザリングの範囲を設定します More...
virtual const Mix::Graphics::RASTERIZER_DESC & | GetRasterizerState (void) const =0
| ラスタライザステートを取得します More...
virtual void | SetRasterizerState (Mix::Graphics::FILL_TYPE fillMode, Mix::Graphics::CULL_TYPE cullMode, Boolean bScissoring)=0
| ラスタライザステートを設定します More...
virtual void | SetRasterizerState (const Mix::Graphics::RASTERIZER_DESC &desc)=0
| ラスタライザステートを設定します More...
virtual const Mix::Graphics::DEPTH_DESC & | GetDepthState (void) const =0
| デプスステートを取得します More...
virtual void | SetDepthState (Boolean bTest, Boolean bWrite, Mix::Graphics::ZFUNC_TYPE func=Mix::Graphics::ZFUNC_LESSEQUAL)=0
| デプスステートを設定します More...
virtual void | SetDepthState (const Mix::Graphics::DEPTH_DESC &desc)=0
| デプスステートを設定します More...
virtual const Mix::Graphics::BLEND_DESC & | GetBlendState (void) const =0
| ブレンドステートを取得します More...
virtual void | SetBlendState (Mix::Graphics::BLEND_TYPE type, Mix::Graphics::COLOR_WRITE_MASK colorWriteMask=Mix::Graphics::COLOR_WRITE_RGBA)=0
| ブレンドステートを設定します More...
virtual void | SetBlendState (const Mix::Graphics::BLEND_DESC &desc)=0
| ブレンドステートを設定します More...
virtual void | SetVertexLayout (Mix::Graphics::IVertexLayout *pVertexLayout)=0
| バーテックスレイアウトを設定します More...
virtual void | SetHullShader (Mix::Graphics::IHullShader *pHullShader)=0
| ハルシェーダーを設定します More...
virtual void | SetDomainShader (Mix::Graphics::IDomainShader *pDomainShader)=0
| ドメインシェーダーを設定します More...
virtual void | SetGeometryShader (Mix::Graphics::IGeometryShader *pGeometryShader)=0
| ジオメトリシェーダーを設定します More...
virtual void | SetVertexShader (Mix::Graphics::IVertexShader *pVertexShader)=0
| バーテックスシェーダーを設定します More...
virtual void | SetPixelShader (Mix::Graphics::IPixelShader *pPixelShader)=0
| ピクセルシェーダーを設定します More...
virtual void | SetVertexShaderConstantB (UInt32 startRegister, const Boolean *data, UInt32 count)=0
| バーテックスシェーダーにブール型定数を設定します More...
virtual void | SetVertexShaderConstantI (UInt32 startRegister, const Int32 *data, UInt32 count)=0
| バーテックスシェーダーに整数型定数を設定します More...
virtual void | SetVertexShaderConstantF (UInt32 startRegister, const Float32 *data, UInt32 count)=0
| バーテックスシェーダーに浮動小数点型定数を設定します More...
virtual void | SetVertexShaderConstantF (UInt32 startRegister, const Mix::Vector4 *data, UInt32 count)=0
| バーテックスシェーダーに浮動小数点ベクトル定数を設定します More...
virtual void | SetVertexShaderConstantF (UInt32 startRegister, const Mix::Matrix4x4 *data, UInt32 count)=0
| バーテックスシェーダーに浮動小数点行列定数を設定します More...
virtual void | SetPixelShaderConstantB (UInt32 startRegister, const Boolean *data, UInt32 count)=0
| ピクセルシェーダーにブール型定数を設定します More...
virtual void | SetPixelShaderConstantI (UInt32 startRegister, const Int32 *data, UInt32 count)=0
| ピクセルシェーダーに整数型定数を設定します More...
virtual void | SetPixelShaderConstantF (UInt32 startRegister, const Float32 *data, UInt32 count)=0
| ピクセルシェーダーに浮動小数点型定数を設定します More...
virtual void | SetPixelShaderConstantF (UInt32 startRegister, const Mix::Vector4 *data, UInt32 count)=0
| ピクセルシェーダーに浮動小数点ベクトル定数を設定します More...
virtual void | SetPixelShaderConstantF (UInt32 startRegister, const Mix::Matrix4x4 *data, UInt32 count)=0
| ピクセルシェーダーに浮動小数点行列定数を設定します More...
virtual void | SetHullShaderConstant (UInt32 slot, Mix::Graphics::IShaderConstant *pShaderConstant)=0
| ハルシェーダーに定数を設定します More...
virtual void | SetDomainShaderConstant (UInt32 slot, Mix::Graphics::IShaderConstant *pShaderConstant)=0
| ドメインシェーダーに定数を設定します More...
virtual void | SetGeometryShaderConstant (UInt32 slot, Mix::Graphics::IShaderConstant *pShaderConstant)=0
| ジオメトリシェーダーに定数を設定します More...
virtual void | SetVertexShaderConstant (UInt32 slot, Mix::Graphics::IShaderConstant *pShaderConstant)=0
| バーテックスシェーダーに定数を設定します More...
virtual void | SetPixelShaderConstant (UInt32 slot, Mix::Graphics::IShaderConstant *pShaderConstant)=0
| ピクセルシェーダーに定数を設定します More...
virtual void | SetVertexBuffer (Mix::Graphics::IVertexBuffer *pVertexBuffer)=0
| バーテックスバッファを設定します More...
virtual void | SetIndexBuffer (Mix::Graphics::IIndexBuffer *pIndexBuffer)=0
| インデックスバッファを設定します More...
virtual UInt32 | GetTextureStageMax (void) const =0
| テクスチャステージの最大数を取得します More...
virtual void | SetTexture (UInt32 stage, Mix::Graphics::TEXTURE_FILTER_TYPE filter, Mix::Graphics::TEXTURE_ADDRESS_TYPE address, Mix::Graphics::ITexture *pTexture)=0
| テクスチャを設定します More...
virtual void | ResetTexture (UInt32 stage)=0
| テクスチャを NULL に設定します More...
virtual void | Draw (Mix::Graphics::PRIMITIVE_TYPE primitiveType, UInt32 startVertex, UInt32 numVertex)=0
| プリミティブを描画します More...
virtual void | DrawIndexed (Mix::Graphics::PRIMITIVE_TYPE primitiveType, UInt32 startVertex, UInt32 numVertex, UInt32 startIndex, UInt32 numIndex)=0
| インデックスに基づいてプリミティブを描画します More...
virtual UInt32 | GetDrawPrimitiveCount (void) const =0
| 描画したプリミティブの数を取得します More...
virtual Boolean | SaveScreenshot (const wchar_t *pFileName)=0
| スクリーンショットを保存します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDevice (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

グラフィックスデバイスインターフェース

## Member Enumeration Documentation

enum Mix::Graphics::IDevice::DISPLAY_MODE

ディスプレイモード列挙定数

Enumerator
WINDOW | ウィンドウモード
FULLSCREEN | フルスクリーンモード

## Constructor & Destructor Documentation

virtual Mix::Graphics::IDevice::~IDevice | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Graphics::SHADER_MODEL Mix::Graphics::IDevice::GetShaderModel | ( | void |  | ) | const

pure virtual

シェーダーモデルを取得します

Returns
  シェーダーモデルを表す Mix::Graphics::SHADER_MODEL 列挙定数を返します

virtual Mix::Graphics::IDevice::DISPLAY_MODE Mix::Graphics::IDevice::GetDisplayMode | ( | void |  | ) | const

pure virtual

ディスプレイモードを取得します

Returns
  ディスプレイモードを表す Mix::Graphics::IDevice::DISPLAY_MODE 列挙定数を返します

virtual void Mix::Graphics::IDevice::SetDisplayMode | ( | Mix::Graphics::IDevice::DISPLAY_MODE | dispMode | ) |

pure virtual

ディスプレイモードを設定します

Parameters

  [in] | dispMode | ディスプレイモードを表す Mix::Graphics::IDevice::DISPLAY_MODE 列挙定数

virtual void Mix::Graphics::IDevice::ToggleDisplayMode | ( | void |  | ) |

pure virtual

ディスプレイモードを交互に切り替えます

virtual const Mix::Point& Mix::Graphics::IDevice::GetScreenSize | ( | void |  | ) | const

pure virtual

スクリーンのサイズを取得します

Returns
  スクリーンのサイズを返します

virtual const Mix::Rectangle& Mix::Graphics::IDevice::GetScreenValidBounds | ( | void |  | ) | const

pure virtual

スクリーンの有効な範囲を取得します

Returns
  スクリーンの有効な範囲を返します

virtual Boolean Mix::Graphics::IDevice::IsHullShaderSupported | ( | void |  | ) | const

pure virtual

ハルシェーダーが使用できるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsDomainShaderSupported | ( | void |  | ) | const

pure virtual

ドメインシェーダーが使用できるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsGeometryShaderSupported | ( | void |  | ) | const

pure virtual

ジオメトリシェーダーが使用できるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsShaderConstantSupported | ( | void |  | ) | const

pure virtual

シェーダー定数が使用できるかどうかを確認します

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsIndexSupported | ( | Mix::Graphics::INDEX_FORMAT | format | ) | const

pure virtual

指定されたインデックスフォーマットが使用できるかどうかを確認します

Parameters

  [in] | format | インデックスフォーマットを表す Mix::Graphics::INDEX_FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsPlaneTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでプレーンテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsVolumeTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでボリュームテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsCubeTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでキューブテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsDynamicPlaneTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでダイナミックプレーンテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsTargetPlaneTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでターゲットプレーンテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsLockableTargetPlaneTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでターゲットプレーンテクスチャ ( Lockable ) が作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsTargetCubeTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでターゲットキューブテクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::IsDepthTextureSupported | ( | Mix::Graphics::FORMAT | format | ) | const

pure virtual

指定されたフォーマットでデプステクスチャが作成できるかどうかを確認します

Parameters

  [in] | format | 確認するフォーマットを表す Mix::Graphics::FORMAT 列挙定数

Returns
  使用できる場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateHullShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::IHullShader ** | ppHullShader
| ) |  |

pure virtual

ハルシェーダーをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppHullShader | 作成したハルシェーダーを渡す Mix::Graphics::IHullShader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シェーダーモデル５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateHullShaderFromMemory | ( | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::IHullShader ** | ppHullShader,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ハルシェーダーをメモリ内のファイルから作成します

Parameters

  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppHullShader | 作成したハルシェーダーを渡す Mix::Graphics::IHullShader インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  シェーダーモデル５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateDomainShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::IDomainShader ** | ppDomainShader
| ) |  |

pure virtual

ドメインシェーダーをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppDomainShader | 作成したドメインシェーダーを渡す Mix::Graphics::IDomainShader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シェーダーモデル５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateDomainShaderFromMemory | ( | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::IDomainShader ** | ppDomainShader,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ドメインシェーダーをメモリ内のファイルから作成します

Parameters

  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppDomainShader | 作成したドメインシェーダーを渡す Mix::Graphics::IDomainShader インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  シェーダーモデル５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateGeometryShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::IGeometryShader ** | ppGeometryShader
| ) |  |

pure virtual

ジオメトリシェーダーをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppGeometryShader | 作成したジオメトリシェーダーを渡す Mix::Graphics::IGeometryShader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  シェーダーモデル４、もしくわ５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateGeometryShaderFromMemory | ( | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::IGeometryShader ** | ppGeometryShader,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ジオメトリシェーダーをメモリ内のファイルから作成します

Parameters

  [in] | pSrc | メモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppGeometryShader | 作成したジオメトリシェーダーを渡す Mix::Graphics::IGeometryShader インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  シェーダーモデル４、もしくわ５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateVertexShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::IVertexShader ** | ppVertexShader
| ) |  |

pure virtual

バーテックスシェーダーをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppVertexShader | 作成したバーテックスシェーダーを渡す Mix::Graphics::IVertexShader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateVertexShaderFromMemory | ( | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::IVertexShader ** | ppVertexShader,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

バーテックスシェーダーをメモリ内のファイルから作成します

Parameters

  [in] | pSrc | バーテックスシェーダーの作成に使うメモリ内のファイルのポインタ
  [in] | srcSize | メモリ内のファイルのサイズ
  [out] | ppVertexShader | 作成したバーテックスシェーダーを渡す Mix::Graphics::IVertexShader インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreatePixelShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::IPixelShader ** | ppPixelShader
| ) |  |

pure virtual

ピクセルシェーダーをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppPixelShader | 作成したピクセルシェーダーを渡す Mix::Graphics::IPixelShader インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreatePixelShaderFromMemory | ( | const void * | pSrcData,
|  | UInt32 | srcDataSize,
|  | Mix::Graphics::IPixelShader ** | ppPixelShader,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ピクセルシェーダーをメモリ内のファイルから作成します

Parameters

  [in] | pSrcData | ピクセルシェーダーの作成に使うメモリ内のファイルのポインタ
  [in] | srcDataSize | メモリ内のファイルのサイズ
  [out] | ppPixelShader | 作成したピクセルシェーダーを渡す Mix::Graphics::IPixelShader インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateShaderConstant | ( | UInt32 | size,
|  | Boolean | bDynamic,
|  | const void * | pInitialData,
|  | Mix::Graphics::IShaderConstant ** | ppShaderConstant,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

シェーダー定数を作成します

Parameters

  [in] | size | シェーダー定数のサイズ
  [in] | bDynamic | 動的の場合は True
  [in] | pInitialData | 作成時の初期データ
  [out] | ppShaderConstant | 作成したシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Note
  シェーダーモデル４、もしくわ５の場合に使用できます

virtual Boolean Mix::Graphics::IDevice::CreateVertexLayout | ( | const Mix::Graphics::VERTEX_ELEMENT * | pElements,
|  | UInt32 | numElement,
|  | const Mix::Graphics::IVertexShader * | pVertexShader,
|  | Mix::Graphics::IVertexLayout ** | ppVertexLayout,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

バーテックスレイアウトを作成します

Parameters

  [in] | pElements | 要素を表す Mix::Graphics::VERTEX_ELEMENT の配列
  [in] | numElement | 要素の数
  [in] | pVertexShader | 入力シグネチャを比較する Mix::Graphics::IVertexShader インターフェースのポインタ
  [out] | ppVertexLayout | 作成したバーテックスレイアウトを渡す Mix::Graphics::IVertexLayout インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateVertexBuffer | ( | UInt32 | count,
|  | UInt32 | stride,
|  | Boolean | bDynamic,
|  | UInt32 | resizeStep,
|  | const void * | pInitialData,
|  | Mix::Graphics::IVertexBuffer ** | ppVertexBuffer,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

バーテックスバッファを作成します

Parameters

  [in] | count | 最大頂点数
  [in] | stride | 頂点のバイトサイズ
  [in] | bDynamic | 動的の場合は True
  [in] | resizeStep | リサイズステップ( 頂点単位 )
  [in] | pInitialData | 作成時の初期データ
  [out] | ppVertexBuffer | 作成したバーテックスバッファを渡す Mix::Graphics::IVertexBuffer インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateIndexBuffer | ( | Mix::Graphics::INDEX_FORMAT | format,
|  | UInt32 | count,
|  | Boolean | bDynamic,
|  | UInt32 | resizeStep,
|  | const void * | pInitialData,
|  | Mix::Graphics::IIndexBuffer ** | ppIndexBuffer,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

インデックスバッファを作成します

Parameters

  [in] | format | インデックスのフォーマットを表す Mix::Graphics::INDEX_FORMAT 列挙定数
  [in] | count | 最大インデックス数
  [in] | bDynamic | 動的の場合は True
  [in] | resizeStep | インデックスバッファのリサイズステップ( インデックス単位 )
  [in] | pInitialData | 作成時の初期データ
  [out] | ppIndexBuffer | 作成したインデックスバッファを渡す Mix::Graphics::IIndexBuffer インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateTextureFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::ITexture ** | ppTexture
| ) |  |

pure virtual

テクスチャをファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [out] | ppTexture | 作成したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateTextureFromMemory | ( | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::ITexture ** | ppTexture
| ) |  |

pure virtual

テクスチャをメモリ内のファイルから作成します

Parameters

  [in] | pFilePath | ファイルパス
  [in] | pSrc | メモリ内のテクスチャファイル
  [in] | srcSize | メモリ内のテクスチャファイルのサイズ
  [out] | ppTexture | 作成したテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateDynamicPlaneTexture | ( | UInt32 | width,
|  | UInt32 | height,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::ITexture ** | ppTexture,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ダイナミックテクスチャを作成します

Parameters

  [in] | width | テクスチャの幅
  [in] | height | テクスチャの高さ
  [in] | format | テクスチャのフォーマットを表す Mix::Graphics::FORMAT 列挙定数
  [out] | ppTexture | 作成したダイナミックテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  Mix::Graphics::ITexture::Lock を使用した CPU による書き込み、GPU による読み取りが可能です。

virtual Boolean Mix::Graphics::IDevice::CreateTargetPlaneTexture | ( | UInt32 | width,
|  | UInt32 | height,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::ITexture ** | ppTexture,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ターゲットテクスチャを作成します

Parameters

  [in] | width | テクスチャの幅
  [in] | height | テクスチャの高さ
  [in] | format | テクスチャのフォーマットを表す Mix::Graphics::FORMAT 列挙定数
  [out] | ppTexture | 作成したターゲットテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateLockableTargetPlaneTexture | ( | UInt32 | width,
|  | UInt32 | height,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::ITexture ** | ppTexture,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ターゲットテクスチャを作成します

Parameters

  [in] | width | テクスチャの幅
  [in] | height | テクスチャの高さ
  [in] | format | テクスチャのフォーマットを表す Mix::Graphics::FORMAT 列挙定数
  [out] | ppTexture | 作成したターゲットテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

Note
  Mix::Graphics::ITexture::Lock を使用した CPU による読み取り、GPU による書き込みが可能です。

virtual Boolean Mix::Graphics::IDevice::CreateTargetCubeTexture | ( | UInt32 | edgeLength,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::ITexture ** | ppTexture,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

ターゲットテクスチャを作成します

Parameters

  [in] | edgeLength | エッジの長さ
  [in] | format | テクスチャのフォーマットを表す Mix::Graphics::FORMAT 列挙定数
  [out] | ppTexture | 作成したターゲットテクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateDepthTexture | ( | UInt32 | width,
|  | UInt32 | height,
|  | Mix::Graphics::FORMAT | format,
|  | Mix::Graphics::ITexture ** | ppTexture,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

デプステクスチャを作成します

Parameters

  [in] | width | テクスチャの幅
  [in] | height | テクスチャの高さ
  [in] | format | テクスチャのフォーマット表す Mix::Graphics::FORMAT 列挙定数 「FMT_D16」「FMT_D32」「FMT_D24S8」のいずれかを指定してください
  [out] | ppTexture | 作成したデプステクスチャを渡す Mix::Graphics::ITexture インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::CreateQuery | ( | Mix::Graphics::QUERY_FORMAT | format,
|  | Mix::Graphics::IQuery ** | ppQuery,
|  | const wchar_t * | pDebugName = `NULL`
| ) |  |

pure virtual

クエリを作成します

Parameters

  [in] | format | クエリのフォーマットを表す Mix::Graphics::QUERY_FORMAT 列挙定数
  [out] | ppQuery | 作成したクエリを渡す Mix::Graphics::IQuery インターフェースのポインタのアドレス
  [in] | pDebugName | デバッグ名

Returns
  成功した場合は True を返します

virtual Boolean Mix::Graphics::IDevice::Begin | ( | void |  | ) |

pure virtual

描画を開始します

Returns
  成功した場合は True を返します

virtual void Mix::Graphics::IDevice::End | ( | void |  | ) |

pure virtual

描画を終了します

virtual void Mix::Graphics::IDevice::Present | ( | void |  | ) |

pure virtual

バックバッファの内容を転送します

virtual void Mix::Graphics::IDevice::GetTarget | ( | Mix::Graphics::ITexture ** | ppT0,
|  | Mix::Graphics::ITexture ** | ppT1,
|  | Mix::Graphics::ITexture ** | ppT2,
|  | Mix::Graphics::ITexture ** | ppT3,
|  | Mix::Graphics::ITexture ** | ppDS
| ) |  |

pure virtual

描画ターゲットを取得します

Parameters

  ppT0 | スロット 0 にターゲットとして設定されている Mix::Graphics::ITexture インターフェースのポインタのアドレス
  ppT1 | スロット 1 にターゲットとして設定されている Mix::Graphics::ITexture インターフェースのポインタのアドレス
  ppT2 | スロット 2 にターゲットとして設定されている Mix::Graphics::ITexture インターフェースのポインタのアドレス
  ppT3 | スロット 3 にターゲットとして設定されている Mix::Graphics::ITexture インターフェースのポインタのアドレス
  ppDS | デプス/ステンシルバッファとして設定されている Mix::Graphics::ITexture インターフェースのポインタのアドレス

virtual void Mix::Graphics::IDevice::SetTarget | ( | Mix::Graphics::ITexture * | pT0,
|  | Mix::Graphics::ITexture * | pT1,
|  | Mix::Graphics::ITexture * | pT2,
|  | Mix::Graphics::ITexture * | pT3,
|  | Mix::Graphics::ITexture * | pDS
| ) |  |

pure virtual

描画ターゲットを設定します

Parameters

  pT0 | スロット 0 にターゲットとして設定する Mix::Graphics::ITexture インターフェースのポインタ
  pT1 | スロット 1 にターゲットとして設定する Mix::Graphics::ITexture インターフェースのポインタ
  pT2 | スロット 2 にターゲットとして設定する Mix::Graphics::ITexture インターフェースのポインタ
  pT3 | スロット 3 にターゲットとして設定する Mix::Graphics::ITexture インターフェースのポインタ
  pDS | デプス/ステンシルバッファとして設定する Mix::Graphics::ITexture インターフェースのポインタ

virtual void Mix::Graphics::IDevice::Clear | ( | Boolean | clearTarget,
|  | Boolean | clearDepth,
|  | const Mix::Vector4 & | color = `Mix::Vector4()`,
|  | Float32 | z = `1.0f`
| ) |  |

pure virtual

現在の描画先ターゲットをクリアします

Parameters

  [in] | clearTarget | ターゲットテクスチャをクリアする場合は True
  [in] | clearDepth | デプステクスチャをクリアする場合は True
  [in] | color | ターゲットテクスチャのクリア色を表す Mix::Vector4 クラス
  [in] | z | デプステクスチャをクリアする際の値

virtual const Mix::Rectangle& Mix::Graphics::IDevice::GetViewBounds | ( | void |  | ) | const

pure virtual

ビューの範囲を取得します

Returns
  ビューの範囲を表す Mix::Rectangle クラスを返します

virtual void Mix::Graphics::IDevice::SetViewBounds | ( | Int32 | x,
|  | Int32 | y,
|  | Int32 | width,
|  | Int32 | height
| ) |  |

pure virtual

ビューの範囲を設定します

Parameters

  [in] | x | ビューの範囲の左上Ｘ座標
  [in] | y | ビューの範囲の左上Ｙ座標
  [in] | width | ビューの範囲の幅
  [in] | height | ビューの範囲の高さ

virtual void Mix::Graphics::IDevice::SetViewBounds | ( | const Mix::Rectangle & | rect | ) |

pure virtual

ビューの範囲を設定します

Parameters

  [in] | rect | ビューの範囲を表す Mix::Rectangle クラス

virtual const Mix::Rectangle& Mix::Graphics::IDevice::GetScissorBounds | ( | void |  | ) | const

pure virtual

シザリングの範囲を取得します

Returns
  シザリングの範囲を表す Mix::Rectangle クラスを返します

virtual void Mix::Graphics::IDevice::SetScissorBounds | ( | const Mix::Rectangle & | rect | ) |

pure virtual

シザリングの範囲を設定します

Parameters

  [in] | rect | シザリングの範囲を表す Mix::Rectangle クラス

virtual void Mix::Graphics::IDevice::SetScissorBounds | ( | Int32 | x,
|  | Int32 | y,
|  | Int32 | width,
|  | Int32 | height
| ) |  |

pure virtual

シザリングの範囲を設定します

Parameters

  [in] | x | シザー矩形の左上Ｘ座標
  [in] | y | シザー矩形の左上Ｙ座標
  [in] | width | シザー矩形の幅
  [in] | height | シザー矩形の高さ

virtual const Mix::Graphics::RASTERIZER_DESC& Mix::Graphics::IDevice::GetRasterizerState | ( | void |  | ) | const

pure virtual

ラスタライザステートを取得します

Returns
  ラスタライザステートを表す Mix::Graphics::RASTERIZER_DESC 構造体を返します

virtual void Mix::Graphics::IDevice::SetRasterizerState | ( | Mix::Graphics::FILL_TYPE | fillMode,
|  | Mix::Graphics::CULL_TYPE | cullMode,
|  | Boolean | bScissoring
| ) |  |

pure virtual

ラスタライザステートを設定します

Parameters

  [in] | fillMode | 描画モード
  [in] | cullMode | カリングモード
  [in] | bScissoring | シザリングを有効にする場合は True

virtual void Mix::Graphics::IDevice::SetRasterizerState | ( | const Mix::Graphics::RASTERIZER_DESC & | desc | ) |

pure virtual

ラスタライザステートを設定します

Parameters

  [in] | desc | ラスタライザステートを表す Mix::Graphics::RASTERIZER_DESC 構造体

virtual const Mix::Graphics::DEPTH_DESC& Mix::Graphics::IDevice::GetDepthState | ( | void |  | ) | const

pure virtual

デプスステートを取得します

Returns
  デプスステートを表す Mix::Graphics::DEPTH_DESC 構造体を返します

virtual void Mix::Graphics::IDevice::SetDepthState | ( | Boolean | bTest,
|  | Boolean | bWrite,
|  | Mix::Graphics::ZFUNC_TYPE | func = `Mix::Graphics::ZFUNC_LESSEQUAL`
| ) |  |

pure virtual

デプスステートを設定します

Parameters

  [in] | bTest | 深度テストを有効にする場合は True
  [in] | bWrite | 深度バッファへの書き込みを有効にする場合は True
  [in] | func | 深度テストに使用するファンクションを表す Mix::Graphics::ZFUNC_TYPE 列挙定数

virtual void Mix::Graphics::IDevice::SetDepthState | ( | const Mix::Graphics::DEPTH_DESC & | desc | ) |

pure virtual

デプスステートを設定します

Parameters

  [in] | desc | デプスステートを表す Mix::Graphics::DEPTH_DESC 構造体

virtual const Mix::Graphics::BLEND_DESC& Mix::Graphics::IDevice::GetBlendState | ( | void |  | ) | const

pure virtual

ブレンドステートを取得します

Returns
  ブレンドステートを表す Mix::Graphics::BLEND_DESC 構造体を返します

virtual void Mix::Graphics::IDevice::SetBlendState | ( | Mix::Graphics::BLEND_TYPE | type,
|  | Mix::Graphics::COLOR_WRITE_MASK | colorWriteMask = `Mix::Graphics::COLOR_WRITE_RGBA`
| ) |  |

pure virtual

ブレンドステートを設定します

Parameters

  [in] | type | ブレンドタイプを表す Mix::Graphics::BLEND_TYPE 列挙定数
  [in] | colorWriteMask | カラーの書き込みマスクを表す Mix::Graphics::COLOR_WRITE_MASK 列挙定数

virtual void Mix::Graphics::IDevice::SetBlendState | ( | const Mix::Graphics::BLEND_DESC & | desc | ) |

pure virtual

ブレンドステートを設定します

Parameters

  [in] | desc | ブレンドステートを表す Mix::Graphics::BLEND_DESC 構造体

virtual void Mix::Graphics::IDevice::SetVertexLayout | ( | Mix::Graphics::IVertexLayout * | pVertexLayout | ) |

pure virtual

バーテックスレイアウトを設定します

Parameters

  [in] | pVertexLayout | 設定するバーテックスレイアウトを表す Mix::Graphics::IVertexLayout インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetHullShader | ( | Mix::Graphics::IHullShader * | pHullShader | ) |

pure virtual

ハルシェーダーを設定します

Parameters

  [in] | pHullShader | 設定するハルシェーダーを表す Mix::Graphics::IHullShader インターフェースのポインタ

Note
  シェーダーモデル５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetDomainShader | ( | Mix::Graphics::IDomainShader * | pDomainShader | ) |

pure virtual

ドメインシェーダーを設定します

Parameters

  [in] | pDomainShader | 設定するドメインシェーダーを表す Mix::Graphics::IDomainShader インターフェースのポインタ

Note
  シェーダーモデル５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetGeometryShader | ( | Mix::Graphics::IGeometryShader * | pGeometryShader | ) |

pure virtual

ジオメトリシェーダーを設定します

Parameters

  [in] | pGeometryShader | 設定するジオメトリシェーダーを表す Mix::Graphics::IGeometryShader インターフェースのポインタ

Note
  シェーダーモデル４、もしくわ５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShader | ( | Mix::Graphics::IVertexShader * | pVertexShader | ) |

pure virtual

バーテックスシェーダーを設定します

Parameters

  [in] | pVertexShader | 設定するバーテックスシェーダーを表す Mix::Graphics::IVertexShader インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetPixelShader | ( | Mix::Graphics::IPixelShader * | pPixelShader | ) |

pure virtual

ピクセルシェーダーを設定します

Parameters

  [in] | pPixelShader | 設定するピクセルシェーダーを表す Mix::Graphics::IPixelShader インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetVertexShaderConstantB | ( | UInt32 | startRegister,
|  | const Boolean * | data,
|  | UInt32 | count
| ) |  |

pure virtual

バーテックスシェーダーにブール型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内のブール値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShaderConstantI | ( | UInt32 | startRegister,
|  | const Int32 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

バーテックスシェーダーに整数型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の4つの整数値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShaderConstantF | ( | UInt32 | startRegister,
|  | const Float32 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

バーテックスシェーダーに浮動小数点型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の4つの浮動小数点値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShaderConstantF | ( | UInt32 | startRegister,
|  | const Mix::Vector4 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

バーテックスシェーダーに浮動小数点ベクトル定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の浮動小数点ベクトルの数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShaderConstantF | ( | UInt32 | startRegister,
|  | const Mix::Matrix4x4 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

バーテックスシェーダーに浮動小数点行列定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の浮動小数点ベクトルの数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetPixelShaderConstantB | ( | UInt32 | startRegister,
|  | const Boolean * | data,
|  | UInt32 | count
| ) |  |

pure virtual

ピクセルシェーダーにブール型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内のブール値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetPixelShaderConstantI | ( | UInt32 | startRegister,
|  | const Int32 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

ピクセルシェーダーに整数型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の4つの整数値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetPixelShaderConstantF | ( | UInt32 | startRegister,
|  | const Float32 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

ピクセルシェーダーに浮動小数点型定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の4つの浮動小数点値の数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetPixelShaderConstantF | ( | UInt32 | startRegister,
|  | const Mix::Vector4 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

ピクセルシェーダーに浮動小数点ベクトル定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の浮動小数点ベクトルの数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetPixelShaderConstantF | ( | UInt32 | startRegister,
|  | const Mix::Matrix4x4 * | data,
|  | UInt32 | count
| ) |  |

pure virtual

ピクセルシェーダーに浮動小数点行列定数を設定します

Parameters

  [in] | startRegister | 最初の定数を格納するレジスタ番号
  [in] | data | 定数配列のポインタ
  [in] | count | 定数配列内の浮動小数点ベクトルの数

Note
  シェーダーモデル３の場合に使用できます

virtual void Mix::Graphics::IDevice::SetHullShaderConstant | ( | UInt32 | slot,
|  | Mix::Graphics::IShaderConstant * | pShaderConstant
| ) |  |

pure virtual

ハルシェーダーに定数を設定します

Parameters

  [in] | slot | 設定するスロット
  [in] | pShaderConstant | 設定するシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタ

Note
  シェーダーモデル５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetDomainShaderConstant | ( | UInt32 | slot,
|  | Mix::Graphics::IShaderConstant * | pShaderConstant
| ) |  |

pure virtual

ドメインシェーダーに定数を設定します

Parameters

  [in] | slot | 設定するスロット
  [in] | pShaderConstant | 設定するシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタ

Note
  シェーダーモデル５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetGeometryShaderConstant | ( | UInt32 | slot,
|  | Mix::Graphics::IShaderConstant * | pShaderConstant
| ) |  |

pure virtual

ジオメトリシェーダーに定数を設定します

Parameters

  [in] | slot | 設定するスロット
  [in] | pShaderConstant | 設定するシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタ

Note
  シェーダーモデル４、もしくわ５の場合に使用できます

virtual void Mix::Graphics::IDevice::SetVertexShaderConstant | ( | UInt32 | slot,
|  | Mix::Graphics::IShaderConstant * | pShaderConstant
| ) |  |

pure virtual

バーテックスシェーダーに定数を設定します

Parameters

  [in] | slot | 設定するスロット
  [in] | pShaderConstant | 設定するシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetPixelShaderConstant | ( | UInt32 | slot,
|  | Mix::Graphics::IShaderConstant * | pShaderConstant
| ) |  |

pure virtual

ピクセルシェーダーに定数を設定します

Parameters

  [in] | slot | 設定するスロット
  [in] | pShaderConstant | 設定するシェーダー定数を表す Mix::Graphics::IShaderConstant インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetVertexBuffer | ( | Mix::Graphics::IVertexBuffer * | pVertexBuffer | ) |

pure virtual

バーテックスバッファを設定します

Parameters

  [in] | pVertexBuffer | 設定するバーテックスバッファを表す Mix::Graphics::IVertexBuffer インターフェースのポインタ

virtual void Mix::Graphics::IDevice::SetIndexBuffer | ( | Mix::Graphics::IIndexBuffer * | pIndexBuffer | ) |

pure virtual

インデックスバッファを設定します

Parameters

  [in] | pIndexBuffer | 設定するインデックスバッファを表す Mix::Graphics::IIndexBuffer インターフェースのポインタ

virtual UInt32 Mix::Graphics::IDevice::GetTextureStageMax | ( | void |  | ) | const

pure virtual

テクスチャステージの最大数を取得します

Returns
  テクスチャステージの最大数を返します

virtual void Mix::Graphics::IDevice::SetTexture | ( | UInt32 | stage,
|  | Mix::Graphics::TEXTURE_FILTER_TYPE | filter,
|  | Mix::Graphics::TEXTURE_ADDRESS_TYPE | address,
|  | Mix::Graphics::ITexture * | pTexture
| ) |  |

pure virtual

テクスチャを設定します

Parameters

  [in] | stage | テクスチャを設定するステージ
  [in] | filter | テクスチャに適用するフィルタを表す Mix::Graphics::TEXTURE_FILTER 列挙定数
  [in] | address | テクスチャに適用する座標の解決手法を表す Mix::Graphics::TEXTURE_ADDRESS 列挙定数
  [in] | pTexture | 設定するテクスチャを表す Mix::Graphics::ITexture インターフェースのポインタ

virtual void Mix::Graphics::IDevice::ResetTexture | ( | UInt32 | stage | ) |

pure virtual

テクスチャを NULL に設定します

Parameters

  [in] | stage | NULL に設定するテクスチャステージ

virtual void Mix::Graphics::IDevice::Draw | ( | Mix::Graphics::PRIMITIVE_TYPE | primitiveType,
|  | UInt32 | startVertex,
|  | UInt32 | numVertex
| ) |  |

pure virtual

プリミティブを描画します

Parameters

  [in] | primitiveType | プリミティブの種類を表す Mix::Graphics::PRIMITIVE_TYPE 列挙定数
  [in] | startVertex | 頂点の開始位置
  [in] | numVertex | 描画に使用する頂点数

virtual void Mix::Graphics::IDevice::DrawIndexed | ( | Mix::Graphics::PRIMITIVE_TYPE | primitiveType,
|  | UInt32 | startVertex,
|  | UInt32 | numVertex,
|  | UInt32 | startIndex,
|  | UInt32 | numIndex
| ) |  |

pure virtual

インデックスに基づいてプリミティブを描画します

Parameters

  [in] | primitiveType | プリミティブの種類を表す Mix::Graphics::PRIMITIVE_TYPE 列挙定数
  [in] | startVertex | 頂点の開始位置
  [in] | numVertex | 描画に使用する頂点数
  [in] | startIndex | インデックスの開始位置
  [in] | numIndex | 描画に使用するインデックス数

virtual UInt32 Mix::Graphics::IDevice::GetDrawPrimitiveCount | ( | void |  | ) | const

pure virtual

描画したプリミティブの数を取得します

Returns
  描画したプリミティブ数を返します

virtual Boolean Mix::Graphics::IDevice::SaveScreenshot | ( | const wchar_t * | pFileName | ) |

pure virtual

スクリーンショットを保存します

Parameters

  [in] | pFileName | 保存するファイル名

Returns
  成功した場合は True を返します

Note
  BMP、JPG、PNG をサポートしています

The documentation for this class was generated from the following file:

- Mix/Graphics/IDevice.h